#!/usr/bin/bash

set -e

dataset="simple_dataset.zarr"
rm -rf ${dataset}
python <<EOF
import zarr
import hiopy.configure as hc

z = zarr.open("${dataset}")
hc.add_healpix_hierarchy(z, order=3)
hc.add_time(z, "2000-01-01", "2000-01-01T00:01:00", 3)

hc.add_variable(z, "x", "simple_source", "simple_grid", attributes={"hiopy::copy_metadata": True})
hc.add_variable(z, "y", "simple_source", "simple_grid", attributes={"hiopy::copy_metadata": True})
hc.add_variable(z, "z", "simple_source", "simple_grid", attributes={"hiopy::copy_metadata": True})
hc.add_variable(z, "t", "simple_source", "simple_grid", yac_name="clock", attributes={"hiopy::copy_metadata": True})

zarr.consolidate_metadata(z.store)

print(z.info)
print(z.tree())
EOF

/usr/bin/mpiexec -n 1 python -m hiopy.worker ${dataset} --nthreads $1 : -n 1 /builds/nils/coyote/build/tests/simple_source -e 2000-01-01T00:01:00
